type Contact = {
    id: string;
    email: string;
    source: string;
    subscribed: boolean;
    userGroup: string;
    userId: string | null;
};
type ContactWithEmail = {
    email: string;
} & Record<string, string>;
type AddContactSuccess = {
    success: true;
    id: string;
};
type AddContactFailure = {
    success: false;
    message: string;
};
type AddContactResponse = AddContactSuccess | AddContactFailure;
type UpdateConactSuccess = {
    success: true;
    id: string;
};
type UpdateContactFailure = {
    success: false;
    message: string;
};
type UpdateContactResponse = UpdateConactSuccess | UpdateContactFailure;
type FindContactResponse = Contact[];
type DeleteContactSuccess = {
    success: true;
    message: string;
};
type DeleteContactFailure = {
    success: false;
    message: string;
};
type DeleteContactResponse = DeleteContactSuccess | DeleteContactFailure;
type SendEventResponse = {
    success: boolean;
};
export declare class LoopsClient {
    private apiKey;
    private baseUrl;
    constructor(apiKey: string, baseUrl?: string);
    private getHeaders;
    addContact(contact: ContactWithEmail): Promise<AddContactResponse>;
    updateContact(contact: ContactWithEmail): Promise<UpdateContactResponse>;
    findContact(email: string): Promise<FindContactResponse>;
    deleteContactByEmail(email: string): Promise<DeleteContactResponse>;
    deleteContactById(userId: string): Promise<DeleteContactResponse>;
    sendEvent(eventName: string, contact: ContactWithEmail): Promise<SendEventResponse>;
    sendTransactionalEmail(email: string, transactionalId: string, dataVariables: Record<string, string>): Promise<any>;
}
export {};
